Draft: Clona

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Clone and the translation is 19% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Pagina precedente: Draft PointArray.svg Copie su punti
Pagina successiva: Disegno Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Clona

Posizione nel menu
Draft → Clona
Ambiente
Draft, Architettura
Avvio veloce
C L
Introdotto nella versione
-
Vedere anche
Sposta, Scala

Descrizione

Lo strumento Draft Clone.svg Clona produce delle copie collegate di una forma selezionata. Ciò significa che se l'oggetto originale cambia forma e proprietà, cambiano anche tutti i cloni. Ciononostante, ogni clone mantiene la sua posizione, rotazione e scala uniche, così come le sue proprietà di visualizzazione come il colore della forma, la larghezza della linea e la trasparenza.

Questo strumento può essere utilizzato su forme 2D create con Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o PartDesign o Arch.

Draft Clone example.jpg

Clone accanto all'oggetto originale

Utilizzo

  1. Selezionare un oggetto che si desidera clonare
  2. Premere il pulsante Draft Clone.svg Clona

Properties

See also: Property editor.

An object created with the Draft Clone command is derived from a Part Part2DObject, a Part Feature object or, if an Arch Clone is created, from the object type of the source object. It inherits all properties from that object. A clone derived from one of the first two objects also has the following additional properties:

Data

Draft

Proprietà

  • DatiObjects: specifica una lista di oggetti base che vengono clonati.
  • DatiScale: specifica il fattore di scala per il clone, in ciascuna direzione X, Y e Z.
  • DatiFuse: se è true e DatiObjects include molte forme che si intersecano l'una con l'altra, il clone risultante le fonde insieme in una singola forma, o crea un composto. Disponibile dalla versione 0.17

Scripting

Lo strumento Clone può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

cloned_object = make_clone(obj, delta=None, forcedraft=False)
  • Crea un oggetto cloned_object da un dato obj, che può essere un singolo oggetto o un elenco di oggetti.
  • Se dato, delta è un FreeCAD.Vector che sposta il nuovo clone dalla posizione originale dell'oggetto base.
  • Se forcedraft è True, l'oggetto risultante sarà un clone di Draft, e non un clone di Arch, anche se obj è un oggetto Arch.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(App.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

vector = App.Vector(2600, 500, 0)
cloned_object = Draft.clone([polygon1, polygon2], delta=vector)

cloned_object.Fuse = True

doc.recompute()


Arrow-left.svg Pagina precedente: Draft PointArray.svg Copie su punti
Pagina successiva: Disegno Draft Drawing.svg Arrow-right.svg